Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ClientProtocolPolicy Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ClientProtocolPolicy:

[legend]
Collaboration diagram for RTCORBA::ClientProtocolPolicy:

[legend]
List of all members.

## Public Types
typedef ClientProtocolPolicy_ptr | _ptr_type
typedef ClientProtocolPolicy_var | _var_type
## Public Methods
virtual::RTCORBA::ProtocolList * | protocols (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ClientProtocolPolicy_ptr | _duplicate (ClientProtocolPolicy_ptr obj)
ClientProtocolPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ClientProtocolPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ClientProtocolPolicy (void)
virtual | ~ClientProtocolPolicy (void)
## Private Methods
| ClientProtocolPolicy (const ClientProtocolPolicy &)
void | operator= (const ClientProtocolPolicy &)

## Member Typedef Documentation

typedef ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ClientProtocolPolicy_var RTCORBA::ClientProtocolPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::ClientProtocolPolicy::ClientProtocolPolicy | ( | void |  | ) | `[protected]`

RTCORBA::ClientProtocolPolicy::~ClientProtocolPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::ClientProtocolPolicy::ClientProtocolPolicy | ( | const ClientProtocolPolicy & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_duplicate | ( | ClientProtocolPolicy_ptr | obj | ) | `[static]`

const char * RTCORBA::ClientProtocolPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean RTCORBA::ClientProtocolPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::ClientProtocolPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean RTCORBA::ClientProtocolPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void RTCORBA::ClientProtocolPolicy::operator= | ( | const ClientProtocolPolicy & |  | ) | `[private]`

virtual ::RTCORBA::ProtocolList* RTCORBA::ClientProtocolPolicy::protocols | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientProtocolPolicy.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp